PDA

View Full Version : Devhook .50 w/2.82FW Complete ZIP



m0th
December 1st, 2006, 08:34
Alot of people that tryed to bundle everything into a zip quickly discovered that it didnt work for anyone else. Something ta do with having to dump the firmware from your own PSP. Well this is the simplest way to do it minus a couple bat files I coulda made. I've tested this on another PSP so if you havent already installed this please give this a try and give feedback. Its only 15MB download and a very simple walkthrough.

Do not attempt if you are not running 1.50. 2.71SE.C is not confirmed.

Good idea to remove any UMD so it doesnt autoload and distract you.

Download http://psp.m0th.com/files/devhook/package.rar and extract directly to PSP root.

On the PSP goto Game folder and run PSAR Dumper

Press X when prompted and wait for your PSP to reboot

Go back to USB Connection

Copy ms0:\audio.prx to ms0:\F0\KD\ * overwrite

Move ms0:\F0 to ms0:\dh\282\ and overwrite all

Delete ms0:\data.psar

On the PSP go back to game folder and launch the new devhook

Choose Flash ROM > ms0: install configfile

Hold circle for a second as per instructions
a few things will scroll and it appears your PSP just locked up... just hit any button and you'll be back to the main screen.

Go to Start and hit O

If all went well you should hear the PSP chime on startup and you will be presented with the setup screen like you had when you first turned your PSP on only with 2.82 FW.

If this worked for you too please comment. If it doesn't flame away :)

splodger15
December 1st, 2006, 08:48
If this works it should be good for people

m0th
December 1st, 2006, 08:50
if you got another memory card, try it out for me. prolly take you 5 minutes to confirm it.

splodger15
December 1st, 2006, 09:09
I havent got another one

m0th
December 1st, 2006, 09:21
Well, I hope it works for the remainder of people that either want a quick way to upgrade or for those that still havent been able to get it to work. I had a terrible time getting it up and running but now that I know how it works maybe ill be making it easier on others with this guide.

splodger15
December 1st, 2006, 09:22
Why dont you try it

m0th
December 1st, 2006, 17:53
I did. Im the one that made and tested the ZIP file and instructions using a reformatted 256MB card on another 1.50 PSP. It worked perfect for me. Saved alot time without having to extract the Data.PSAR and fussing with the 2.71 eboot cos all you need is the audio.prx which I included in the zip.

Here's whats actually in the zipfile:
DH.50
2.82 Data.psar
2.71 Audio.prx
Psar Dumper

I zipped it up with relative directory support so all you do is unzip to the root of your memory card and than follow the rest of the instructions I provided.at the top of this thread.

verve
December 1st, 2006, 18:31
You should write the .BAT files! if you have gone through the trouble of doing all the rest! If it works well done!

gamerremag
December 1st, 2006, 20:01
testing now....

edit:

k, im at devhook menu, what do i do to get it to go to 2.82?

this is what i have

-umd disk
-umd-mode-no ver. change
-FW path :/dh/282:ms0:/dh/282/f0, /dh/28x;ms0:/dh/282/f1
-clock-266 /133 Mhz
remote: remote controller
pladdr-89200000
-dh ver- 0.05.000
FW ver-1.05.0001
Battery-3.549v

what do i need to change?

gilbert9
December 1st, 2006, 20:53
it works i just tried it..howecer star wars still does not work

splodger15
December 1st, 2006, 20:59
What firmware is star wars it should work if you have it on 2.82 emulation

gamerremag
December 1st, 2006, 21:24
can someone tell me what im doin wrong?!?!? I wanna play socom :(

splodger15
December 1st, 2006, 21:29
gamerremag

Pm me and we can talk about the devhook files

m0th
December 1st, 2006, 21:30
testing now....

edit:

k, im at devhook menu, what do i do to get it to go to 2.82?

this is what i have

-umd disk
-umd-mode-no ver. change
-FW path :/dh/282:ms0:/dh/282/f0, /dh/28x;ms0:/dh/282/f1
-clock-266 /133 Mhz
remote: remote controller
pladdr-89200000
-dh ver- 0.05.000
FW ver-1.05.0001
Battery-3.549v

what do i need to change?


Launch devhook

Choose Firmware from the DH main menu
Choose 2.82
Choose Flash ROM from the DH main menu
Choose ms0: install configfile (prolly already chosen)

Hold circle for a second as per instructions
things will start scrolling and than stop

just hit any button and you'll be back to the main screen of DH

Go to Start at the top and hit O
It should boot into 2.82 now. If it doesn't something went wrong.


I can't get SW LA to work either. At least with the old devhook it would start the game but than crash out. Now it just locks up. Sims 2 pets works fine and that requires 2.82

gamerremag
December 1st, 2006, 22:07
oooooooooooooooooooooooooooooooooooooooooooooooooo oooooooooooooooooooooooooooooooooooooooooooooooooo oooooooooooooooooooooooooooooooooooooooooooooooooo ooooooooooo
i didnt move the f0 to x/dh/282 lol

splodger15
December 1st, 2006, 22:12
Is it working now

XxunknowxX
December 1st, 2006, 22:12
this is just not working i tryed it both 2.71 SE-C and 1.50 and still doesnt work this is fckin bull

m0th
December 1st, 2006, 22:24
this is just not working i tryed it both 2.71 SE-C and 1.50 and still doesnt work this is fckin bull

Are you making sure you flash rom at the end? Common mistake I originally made.

gamerremag
December 1st, 2006, 22:26
yeah it works now, thnx moth & splodger (for offering to help) yeah! socom fireteam bravo ONLINE!!!

Sk8.4.Life
December 1st, 2006, 23:42
Crimeny. I wish I could get this to work... I met up with a guy on IRC who had translated the firmware install instructions the day Devhook .5 came out, and it was the same as your directions on the first page. Yet, I cannot get the stupid thing to run correctly... My biggest question is, does everyone else have a file inside of the F0 folder called PSARDUMPER because that file just strikes me as odd. And how come the file set up is way different compared to previous versions of Devhook? I've installed .46 before from scratch, but .5 is just being a pain in the ass for me.

[EDIT:] At this point, I think my PSP just might be a retarded peice of shit... The instructions for installing .5 are so simple, yet my psp blacks out when i try to run it...

I was kind of hoping that one of my files, I.E. the data.psar was corrupt, but no such luck...

1. copy all the stuff to the psp
2. run psardumper
3. overwrite audio.prx in ms0:/dh/282/kd
4. overwrite F0 in ms0:/dh/282/
5. delete data.psar
6. run devhook and install config file and set firmware.
7. ****ING RUN.... christ. I always just get a black screen, no matter how many times i install this shit.

quickfinga
December 2nd, 2006, 00:15
3. overwrite audio.prx in ms0:/dh/282/kd
4. overwrite F0 in ms0:/dh/282
Try to swap these 2 steps. First you overwrite F0 in ms0:/dh/282, then you overwrite audio.prx in msp:/dh/282/kd.

Festizzio
December 2nd, 2006, 03:19
Are you making sure you flash rom at the end? Common mistake I originally made.

What do you mean by this?

gamerremag
December 2nd, 2006, 04:38
he means when ur in devhook, go to "flash rom" in the menu screen, then hit circle to start the configuration file loading

m0th
December 2nd, 2006, 06:54
Sk8.4.Life :::::
You DID NOT follow my instructions. Your problem is with audio.prx. Take a look at DH/282/F0/KD/Audio.prx... is it 18KB? if its half that size like 8 or 9KB try copying the audio.prx file from my package into x:\dh\282\f0\kd\

If it still doesnt work.. ask someone else cos I'z done emplaining to some someone who ignores simple directions.

EDIT: thanks QuickFinga, took me a sec to figure out where he went wrong.

Festizzio
December 2nd, 2006, 07:22
Ok I got it to work. fyi there's a new devhook ultimate installer (v1.51) that supports both 1.5 and 2.71 SE.

m0th
December 2nd, 2006, 08:01
Ok I got it to work. fyi there's a new devhook ultimate installer (v1.51) that supports both 1.5 and 2.71 SE.

Yeah I noticed the ultimate installer and wasnt impressed by it so I started making my own than discovered... there's no such thing. With 2.82 there are steps you gotta do manually, no auto in that. So I made my walkthrough as simple as possible. Only thing to make it easier would be to make a VB app and hope anyone that tries it already has vb runtime engine installed. Still though its too much work. I think this thread is good enough, straight forward, and complete as you dont have to download extras.. its ALL right here.

m0th
December 2nd, 2006, 08:04
Ok I got it to work. fyi there's a new devhook ultimate installer (v1.51) that supports both 1.5 and 2.71 SE.

Is it better?/easier? Ill take down this thread and replace it with what you posted instead.

Festizzio
December 2nd, 2006, 09:57
It seemed easier to me...here's the link to the instructions if you're interested, it mostly does the work itself. There's also a 2.71 SE version, and I'm on 2.71 SE which is why I don't think this method worked for me. :)

http://www.psp-haxors.com/dh-ultimate-installer-v151/338

gamerremag
December 2nd, 2006, 19:13
uh, he said dont try it on 2.71SE, for it hasnt been tested...you need to read directions, then follow them.

Festizzio
December 2nd, 2006, 19:42
uh, he said dont try it on 2.71SE, for it hasnt been tested...you need to read directions, then follow them.

You need to stop acting like a know-it-all. It's devhook, I know what I'm doing. And the fact that 2.71 SE runs devhook 0.46 was enough indication that I could run devhook 0.50, and guess what? I'm emulating 2.82 right now.

CrazyRabbit
December 3rd, 2006, 01:06
(from fwinstall.txt)

10.if devhook files are installed to flash1 then uninstall it first.
Ѓ@flash1Йdevhookѓtѓ@ѓCѓЄѓCѓѓXѓgЃ[ѓікДўйЏкЌНђжЙѓAѓѓCѓѓXѓgЃ[ѓйЃB

Ѓ@ЌУЃFflash1ЦѓCѓѓXѓgЃ[ѓИўЏкЌЃA2.71Мregistryѓtѓ@ѓCѓр2.82М
Ѓ@Ѓ@Ѓ@Ѓ@ЇѓtѓHѓѓ_ЙѓRѓsЃ[ДЃA10,11,14рѓpѓXЬЃB

11.select "FLASH ROM" > "flash1: < ms0: install configfile" and press circle long.
Ѓ@"FLASH ROM"М"flash1: < ms0: install configfile"рIСЃAЃѓ{ѓ^ѓрџйЃB

gamerremag
December 3rd, 2006, 01:10
You need to stop acting like a know-it-all. It's devhook, I know what I'm doing. And the fact that 2.71 SE runs devhook 0.46 was enough indication that I could run devhook 0.50, and guess what? I'm emulating 2.82 right now.

i wasnt meaning to be a know-it-all, just telling you. sorry if it sounded that way:(

Festizzio
December 3rd, 2006, 01:28
i wasnt meaning to be a know-it-all, just telling you. sorry if it sounded that way:(

That's fine. :) I wouldn't try it without good reason, anyways. I have some common sense. :cool:

gamerremag
December 3rd, 2006, 02:11
u do? i know everything and, its not in my records that you have common sense. :)

sirhax0r
December 3rd, 2006, 04:46
I've got a problem...
When I go to devhook, it says at the bottom:
...
CLOCK : 000 / 000 MHz
...
What does it mean? Should I use the 266/133MHz setting? Help!

splodger15
December 3rd, 2006, 09:52
^ ^
Just use the default cpu clock speed

TacticalBread
December 3rd, 2006, 11:34
So, apparently this does not work with 2.71 SE-C, because I did everything you said, and it still does not work, it crashes right after I push O on start.

gamerremag
December 3rd, 2006, 16:14
lol, im not saying anything this time

psp_sfdm
December 3rd, 2006, 17:57
I tried it on 2.71SE-C (yes, I read the first post before attempting it) and it works if you load a UMD game with the correct settings.

However, the PSP freezes and turns off if you run your own UMD backups (I own several UMD game, in case anyone thinks otherwise) and you exit out to the XMB during the game. Any idea why this happens?

crispyambulance
December 3rd, 2006, 21:15
This worked very well for me; I just thought you might like to know.

(1.5 Firmware)

Festizzio
December 4th, 2006, 03:09
So, apparently this does not work with 2.71 SE-C, because I did everything you said, and it still does not work, it crashes right after I push O on start.

I'm on 2.71 SE-B" still, and it works perfectly for me. Then again, I used the ultimate installer for 2.71 SE users, so I don't know.

deosvx
December 4th, 2006, 09:44
u do? i know everything and, its not in my records that you have common sense. :)

:rofl: OH!!! BURN!!! :rofl:

As for 2.71SE. Ive read other guides that said it works. My guide and download is basically having you do the same things only ive done most of the work for you as far as getting the audio file, ripping the firmwares and making sure all the files are in the proper place on your mem stick. If you believe you installed everything correctly make sure of 2 things. 1. The content of dh/282/f0 is ALL there (ie. make sure you moved the folder after you dumped the dataspar file) 2. Make sure you do the FlashROM step. If all else fails, even trying another guide, back up your stick and reformat it, and start from scratch. I know that last part may sound bogus but its worth a shot. Oh yeah, I dont think DumpPSAR gives you a huge error window if it failed to extract files say due to no disk space, so if you think that may have been it, after running the dumper, it should say X errors occurred, hopefully it says 0.

Edit: this is m0th btw. I didnt even realize I had another account on here and not thinking logged into it ROFL!!